summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author hollywoodb <hollywoodb@fastmail.fm>2010-05-13 00:24:08 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:24:08 +0200
commite445f2441a41fc5f7908c0fa1f30fee9aacc831a (patch)
tree8cd3bd6c7a3bcd4cccfb2d9d574c393ba958d266 /development
parent2857d3ae7b9d132811d644081c474db308c957a2 (diff)
downloadslackbuilds-e445f2441a41fc5f7908c0fa1f30fee9aacc831a.tar.gz
slackbuilds-e445f2441a41fc5f7908c0fa1f30fee9aacc831a.tar.xz
development/PyOpenGL: Updated for version 3.0.0a5
Diffstat (limited to 'development')
-rw-r--r--development/PyOpenGL/PyOpenGL.SlackBuild31
-rw-r--r--development/PyOpenGL/PyOpenGL.info4
2 files changed, 24 insertions, 11 deletions
diff --git a/development/PyOpenGL/PyOpenGL.SlackBuild b/development/PyOpenGL/PyOpenGL.SlackBuild
index b44e39bf77..d13e9d6088 100644
--- a/development/PyOpenGL/PyOpenGL.SlackBuild
+++ b/development/PyOpenGL/PyOpenGL.SlackBuild
@@ -14,27 +14,38 @@ VERSION=3.0.0a5
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=${PKG:-$TMP/package-$NAME}
OUTPUT=${OUTPUT:-/tmp}
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $NAME-$VERSION
-tar -zxvf $CWD/$NAME-$VERSION.tar.gz || exit 1
-cd $NAME-$VERSION || exit 1
+tar -zxvf $CWD/$NAME-$VERSION.tar.gz
+cd $NAME-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-python setup.py bdist || exit 1
-tar -C $PKG -zxvf $TMP/$NAME-$VERSION/dist/$NAME-$VERSION.linux-i686.tar.gz
+python setup.py install --root=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : \
+ | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$NAME-$VERSION
install -m 0644 PKG-INFO documentation/{development,using}.html \
@@ -46,4 +57,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$NAME-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$NAME-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/PyOpenGL/PyOpenGL.info b/development/PyOpenGL/PyOpenGL.info
index 29fc37dae4..df55943ba3 100644
--- a/development/PyOpenGL/PyOpenGL.info
+++ b/development/PyOpenGL/PyOpenGL.info
@@ -2,7 +2,9 @@ PRGNAM="PyOpenGL"
VERSION="3.0.0a5"
HOMEPAGE="http://pyopengl.sourceforge.net/"
DOWNLOAD="http://downloads.sourceforge.net/pyopengl/PyOpenGL-3.0.0a5.tar.gz"
+DOWNLOAD_x86_64=""
MD5SUM="943c4d7d3d1d97cc7592e61d28918fd2"
+MD5SUM_x86_64=""
MAINTAINER="hollywoodb"
EMAIL="hollywoodb@fastmail.fm"
-APPROVED="rworkman"
+APPROVED="rworkman,pprkut"